SapccApiReplaceCartDeliveryModeRequest
Request parameters for replaceCartDeliveryMode operation in SapccApi. SapccApiReplaceCartDeliveryModeRequest
interface SapccApiReplaceCartDeliveryModeRequest {
readonly baseSiteId: string;
readonly cartId: string;
readonly deliveryModeId: string;
readonly userId: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
baseSiteId | Required | string | Base site identifier. {string} SapccApiReplaceCartDeliveryMode |
cartId | Required | string | Cart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiReplaceCartDeliveryMode |
deliveryModeId | Required | string | Delivery mode identifier (code) {string} SapccApiReplaceCartDeliveryMode |
userId | Required | string | User identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiReplaceCartDeliveryMode |